Bug 214857 - security/cryptopp: set library SONAME
Summary: security/cryptopp: set library SONAME
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-26 20:01 UTC by Pawel Pekala
Modified: 2016-12-07 09:52 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (delphij)


Attachments
SONAME fix (516 bytes, patch)
2016-11-26 20:01 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2016-11-26 20:01:39 UTC
Created attachment 177419 [details]
SONAME fix

It's library developer's good practice to set SONAME in library file and make
appropriate symlinks. This also fixes pkg check -dan warnings of not able to find this library.
Comment 1 commit-hook freebsd_committer 2016-12-01 09:07:33 UTC
A commit references this bug:

Author: pawel
Date: Thu Dec  1 09:07:16 UTC 2016
New revision: 427478
URL: https://svnweb.freebsd.org/changeset/ports/427478

Log:
  Set library SONAME, this makes pkg correctly detect provided package
  functionality and fixes pkg check -d.

  PR:		214857
  Submitted by:	myself
  Approved by:	delphij no longer maintainer

Changes:
  head/security/cryptopp/Makefile
Comment 2 commit-hook freebsd_committer 2016-12-07 09:52:25 UTC
A commit references this bug:

Author: jhale
Date: Wed Dec  7 09:51:28 UTC 2016
New revision: 428043
URL: https://svnweb.freebsd.org/changeset/ports/428043

Log:
  MFH: r425256 r427282 r427478 r428022

  Now builds on sparc64.

  Approved by:	portmgr (tier-2 blanket)

  Release this back to pool.

  Set library SONAME, this makes pkg correctly detect provided package
  functionality and fixes pkg check -d.

  PR:		214857
  Submitted by:	myself
  Approved by:	delphij no longer maintainer

  - Update security/cryptopp to 5.6.5
  - Add LICENSE (BSL)
  - Add CPE data
  - Remove STATIC option and always install the shared library;
    no reason not to.
  - Remove GCC option and use USES=compiler framework
  - Add FULL_DEBUG option to address CVE-2016-7420 and add a warning if trying
    to use it. It will allow the asserts to be enabled which could be a
    security risk. The standard DEBUG option is now safe to use.
  - Add SIMD option for i386 and amd64 - requires a recent clang or gcc
  - Don't install the cryptest binary; it is really only used for regression
    testing, so only build it for the TEST_TARGET. It is useless without the
    data files anyways.
  - Take maintainership
  - Bump PORTREVISON on dependent ports due to shared library bump

  PR:		215015
  Reported by:	<fcsk.aim@gmail.com>
  Security:	eab68cff-bc0c-11e6-b2ca-001b3856973b

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/audio/clementine-player/Makefile
  branches/2016Q4/deskutils/cdcat/Makefile
  branches/2016Q4/multimedia/kvazaar/Makefile
  branches/2016Q4/net-p2p/amule/Makefile
  branches/2016Q4/net-p2p/amule-devel/Makefile
  branches/2016Q4/security/cryptopp/Makefile
  branches/2016Q4/security/cryptopp/distinfo
  branches/2016Q4/security/cryptopp/files/patch-GNUmakefile
  branches/2016Q4/security/cryptopp/files/patch-config.h
  branches/2016Q4/security/cryptopp/files/patch-misc.h
  branches/2016Q4/security/cryptopp/files/patch-nbtheory.cpp
  branches/2016Q4/security/cryptopp/files/patch-wake.cpp
  branches/2016Q4/security/cryptopp/pkg-plist